<?php defined('ROOT') or exit('Can\'t Access !'); ?>
<script type="text/javascript">
    function checkform() {
        if(document.form1.catid.value=="0") {
            alert('请选择栏目');
            document.form1.catid.focus();
            return false;
        }
        if(!document.form1.title.value) {
            alert('请填写标题');
            document.form1.title.focus();
            return false;
        }
        <?php foreach($field as $f) { ?>
<?php
if (!preg_match('/^my_/', $f['name']) || !$f['notnull']) {
    //unset($field[$f['name']]);
    continue;
}

?>
        if(!document.form1.<?php echo $f['name'];?>.value){
            alert("请填写<?php echo setting::$var['archive'][$f['name']]['cname']; ?>");
            setTab('one',6,6);
            document.form1.<?php echo $f['name'];?>.focus();
            return false;
        }
        <?php } ?>
        return true;
    }
</script>
<script type="text/javascript">
    $(document).ready(function(){
        var swfu;
        var settings = {
            flash_url : "<?php echo $base_url;?>/common/swfupload/swfupload.swf",
            upload_url: "<?php echo url('tool/uploadimage/site/'.front::get('site'),false);?>",
            post_params: {"PHPSESSID" : "<?php echo session_id(); ?>"},
            file_size_limit : "<?php echo ini_get('upload_max_filesize');?>B",
            file_types : "*.jpg;*.gif;*.png;*.bmp",
            file_types_description : "图片", //All Files
            file_upload_limit : 100,
            file_queue_limit : 0,
            custom_settings : {
progressTarget : "fsUploadProgress",
cancelButtonId : "btnCancel"
            },
            debug: false,

            // Button settings
            //button_image_url: "",
            button_width: "141",
            button_height: "41",
            button_placeholder_id: "spanButtonPlaceHolder",
            button_text: '<span class="theFont"></span>',
            //button_text_style: ".theFont{clear:both;colro:#9999;font-size:12px;width:141px;height:41px;line-height:41px;}",
            //button_text_left_padding: 7,
            //button_text_top_padding: 5,
            button_disabled : false,
            button_window_mode: SWFUpload.WINDOW_MODE.TRANSPARENT,
            button_cursor: SWFUpload.CURSOR.HAND,

            // The event handler functions are defined in handlers.js
            file_queued_handler : fileQueued,
            file_queue_error_handler : fileQueueError,
            file_dialog_complete_handler : fileDialogComplete,
            upload_start_handler : uploadStart,
            upload_progress_handler : uploadProgress,
            upload_error_handler : uploadError,
            upload_success_handler : uploadSuccess,
            upload_complete_handler : uploadComplete,
            queue_complete_handler : queueComplete	// Queue plugin event
        };

        swfu = new SWFUpload(settings);
    });
</script>

<form method="post" name="form1" action="<?php if (front::$act == 'edit')
    $id="/id/".$data[$primary_key]; else
    $id='';
echo modify("/act/".front::$act."/table/".$table.$id); ?>" enctype="multipart/form-data" onsubmit="return checkform();">
    <input type="hidden" name="onlymodify" value=""/>
    <script type="text/javascript" src="<?php echo $base_url;?>/common/js/ajaxfileupload.js"></script>
    <script type="text/javascript" src="<?php echo $base_url;?>/common/js/jquery.imgareaselect.min.js"></script>
    <script type="text/javascript" src="<?php echo $base_url;?>/common/js/ThumbAjaxFileUpload.js"></script>
    <script type="text/javascript" src="<?php echo $base_url;?>/common/swfupload/swfupload.js"></script>
    <script type="text/javascript" src="<?php echo $base_url;?>/common/swfupload/swfupload.queue.js"></script>
    <script type="text/javascript" src="<?php echo $base_url;?>/common/swfupload/fileprogress.js"></script>
    <script type="text/javascript" src="<?php echo $base_url;?>/common/swfupload/handlers.js"></script>
<link rel="stylesheet" href="<?php echo $base_url;?>/common/js/jquery/ui/ui.datepicker.css" type="text/css" media="screen" title="core css file" charset="utf-8" />
    <script language="javascript" src="<?php echo $base_url;?>/common/js/jquery/ui/ui.datepicker.js"></script>
    <script>
        $(document).ready(function(){
            $("#catid").change( function(){
get_field($("#catid").val());
            });
        });
        function attachment_delect(id) {
            $.ajax({
url: '<?php echo url('tool/deleteattachment/site/'.front::get(site),false);?>&id='+id,
type: 'GET',
dataType: 'text',
timeout: 1000,
error: function(){
    //	alert('Error loading XML document');
},
success: function(data){
    document.form1.attachment_id.value=0;
    get('attachment_path').innerHTML='';
    get('file_info').innerHTML='';
}
            });
        }

        function get_field(catid) {
            $.ajax({
url: '<?php echo url('table/getfield/table/archive/',true);?>&catid='+catid,
type: 'GET',
dataType: 'text',
timeout: 1000,
error: function(){
    //alert('Error loading XML document');
},
success: function(data){
    $("#con_one_6").html(data);
}
            });
        }
    </script>


<div class="tags" style="margin-bottom:20px;">
<div id="tagstitle">
<a href="#" id="one1" onclick="setTab('one',1,6)" class="hover">基本信息</a>
<a href="#" id="one2" onclick="setTab('one',2,6)">SEO信息</a>
<a href="#" id="one3" onclick="setTab('one',3,6)">属性设置</a>
<a href="#" id="one4" onclick="setTab('one',4,6)">扩展信息</a>
<a href="#" id="one5" onclick="setTab('one',5,6)">权限审核</a>
<a href="#" id="one6" onclick="setTab('one',6,6)">自定义字段</a>
</div>

<div id="tagscontent" class="right_box">
<div id="con_one_1">

<table width="100%" border="0" cellspacing="0" cellpadding="0" id="table1">

<tr>
<td width="19%" align="right">栏目</td>
<td width="1%">&nbsp;</td>
<td width="70%">
<?php echo form::getform('catid',$form,$field,$data);?>
<span class="hotspot" onmouseover="tooltip.show('选择内容所在栏目，如果栏目有子级栏目，请选择子级栏目！');" onmouseout="tooltip.hide();"><img src="<?php echo $skin_path;?>/images/remind.gif" alt="" width="14" height="20"  style="margin-left:10px; margin-right:5px;"></span>
</td>
</tr>

    <tr>
        <td width="19%" align="right">分类</td>
        <td width="1%">&nbsp;</td>
        <td width="70%"><?php echo form::getform('typeid',$form,$field,$data);?>
<span class="hotspot" onmouseover="tooltip.show('选择内容所在分类，如果分类有子级分类，请选择子级分类！');" onmouseout="tooltip.hide();"><img src="<?php echo $skin_path;?>/images/remind.gif" alt="" width="14" height="20"  style="margin-left:10px; margin-right:5px;"></span>
</td>
    </tr>
    <tr>
        <td width="19%" align="right">标题</td>
        <td width="1%">&nbsp;</td>
        <td width="70%"><?php echo form::getform('title',$form,$field,$data,'class="input"');?>
<span class="hotspot" onmouseover="tooltip.show('填写内容标题！');" onmouseout="tooltip.hide();"><img src="<?php echo $skin_path;?>/images/remind.gif" alt="" width="14" height="20"  style="margin-left:10px; margin-right:5px;"></span>
</td>
    </tr>
    <tr>
        <td width="19%" align="right">正文</td>
        <td width="1%">&nbsp;</td>
        <td width="70%">
            <?php echo form::getform('content',$form,$field,$data);?>
            <div style="width: 575px;margin-top: 0px;">
<div class="fieldset flash" id="fsUploadProgress">
    <span class="legend"></span>
</div>
<div id="divStatus"></div>

            </div>
<div class="blank30"></div>
        </td>
    </tr>
    <tr>
    <td width="19%" align="right"></td>
        <td width="1%">&nbsp;</td>
        <td width="70%"><span style="display:none;"><a id="idBoxOpen" class="btn_e">多图上传</a></span>  <input name="savehttppic" type="checkbox" value="1" />&nbsp;保存远程图片&nbsp;&nbsp;<input name="autothumb" type="checkbox" value="1" />&nbsp;第一张图片自动保存为缩略图</td>
</tr>
    <tr>
        <td width="19%" align="right">内容简介</td>
        <td width="1%">&nbsp;</td>
        <td width="70%"><?php echo form::getform('introduce',$form,$field,$data);?>
<span class="hotspot" onmouseover="tooltip.show('填写内容简介，如留空将自动截取内容中字符作为简介！');" onmouseout="tooltip.hide();"><img src="<?php echo $skin_path;?>/images/remind.gif" alt="" width="14" height="20"  style="margin-left:10px; margin-right:5px;"></span>
</td>
    </tr>
    <tr>
        <td width="19%" align="right">Tag标签</td>
        <td width="1%">&nbsp;</td>
        <td width="70%"><?php echo form::getform('tag',$form,$field,$data);?>
<span class="hotspot" onmouseover="tooltip.show('选择内容所属Tag标签！');" onmouseout="tooltip.hide();"><img src="<?php echo $skin_path;?>/images/remind.gif" alt="" width="14" height="20"  style="margin-left:10px; margin-right:5px;"></span>
</td>
    </tr>
    <tr>
        <td width="19%" align="right"></td>
        <td width="1%">&nbsp;</td>
        <td width="70%">
  <select id='tag_option'>
     <option value="0">请选择tag标签</option>
             <?php foreach($tag_opton as $t) { ?>
              <option value="<?php echo $t;?>"><?php echo $t;?></option>
             <?php } ?>
  </select>
        </td>
    </tr>
    <tr>
        <td width="19%" align="right">发布时间</td>
        <td width="1%">&nbsp;</td>
        <td width="70%"><input type="text" name="adddate" id="adddate" value="<?php echo date('Y-m-d H:i:s'); ?>" class="skey" /><span class="hotspot" onmouseover="tooltip.show('内容发布时间，可自定义，格式：2010-08-08 08:08:08！');" onmouseout="tooltip.hide();"><img src="<?php echo $skin_path;?>/images/remind.gif" alt="" width="14" height="20"  style="margin-left:10px; margin-right:5px;"></span>
</td>
    </tr>
    <tr>
        <td width="19%" align="right">发布作者</td>
        <td width="1%">&nbsp;</td>
        <td width="70%"><input type="text" name="author" id="author" value="<?php echo $user['username'] ?>"   class="skey" /><span class="hotspot" onmouseover="tooltip.show('内容发布作者名，可自定义！');" onmouseout="tooltip.hide();"><img src="<?php echo $skin_path;?>/images/remind.gif" alt="" width="14" height="20"  style="margin-left:10px; margin-right:5px;"></span>
</td>
    </tr>
    <tr>
        <td width="19%" align="right">来源</td>
        <td width="1%">&nbsp;</td>
        <td width="70%"><?php echo form::getform('attr3',$form,$field,$data);?><span class="hotspot" onmouseover="tooltip.show('内容发布来源，可自定义，默认为本站网址！');" onmouseout="tooltip.hide();"><img src="<?php echo $skin_path;?>/images/remind.gif" alt="" width="14" height="20"  style="margin-left:5px; margin-right:5px;"></span>
</td>
    </tr>
<tr>
        <td width="19%" align="right">审核</td>
        <td width="1%">&nbsp;</td>
        <td width="70%"><?php echo form::getform('checked',$form,$field,$data);?>
<span class="hotspot" onmouseover="tooltip.show('设置内容是否发布，勾选未审核，不在前台显示，内容在后台列表可继续编辑！<br />默认：为审核状态！');" onmouseout="tooltip.hide();"><img src="<?php echo $skin_path;?>/images/remind.gif" alt="" width="14" height="20"  style="margin-left:10px; margin-right:5px;"></span>
</td>
    </tr>
</table>
            </div>
            <div id="con_one_2" style="display:none">
<table width="100%" border="0" cellspacing="0" cellpadding="0" id="table2">
    <tr>
        <td width="19%" align="right">网页标题</td>
        <td width="1%">&nbsp;</td>
        <td width="70%"><?php echo form::getform('mtitle',$form,$field,$data);?>
<span class="hotspot" onmouseover="tooltip.show('可填写不同于内容名称的关键词，有利于搜索优化！');" onmouseout="tooltip.hide();"><img src="<?php echo $skin_path;?>/images/remind.gif" alt="" width="14" height="20"  style="margin-left:10px; margin-right:5px;"></span>
</td>
    </tr>
    <tr>
        <td width="19%" align="right">关键词</td>
        <td width="1%">&nbsp;</td>
        <td width="70%"><?php echo form::getform('keyword',$form,$field,$data);?>
<span class="hotspot" onmouseover="tooltip.show('网页META信息中的keywords信息，可填写与内容相关的关键词，以英文逗号相隔，有利于搜索优化！');" onmouseout="tooltip.hide();"><img src="<?php echo $skin_path;?>/images/remind.gif" alt="" width="14" height="20"  style="margin-left:10px; margin-right:5px;"></span>
</td>
    </tr>
    <tr>
        <td width="19%" align="right">页面描述</td>
        <td width="1%">&nbsp;</td>
        <td width="70%"><?php echo form::getform('description',$form,$field,$data);?>
<span class="hotspot" onmouseover="tooltip.show('网页META信息中的description信息，可填写与内容相关的简介，有利于搜索优化！');" onmouseout="tooltip.hide();"><img src="<?php echo $skin_path;?>/images/remind.gif" alt="" width="14" height="20"  style="margin-left:10px; margin-right:5px;"></span>
</td>
    </tr>
    <tr>
        <td width="19%" align="right">URL规则</td>
        <td width="1%">&nbsp;</td>
        <td width="70%"><?php echo form::getform('htmlrule',$form,$field,$data);?>
<span class="hotspot" onmouseover="tooltip.show('你可以自定生成文件名称<br />例如：abc.html<br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>{</b>$caturl<b>}</b>/abc.html<br />默认：<b>{</b>$caturl<b>}</b>/show_<b>{</b>$aid<b>}</b>(_<b>{</b>$page<b>}</b>).html<br /><b>{</b>$caturl<b>}</b> = 栏目目录<br /><b>{</b>$aid<b>}</b> = 内容ID<br /><b>{</b>$page<b>}</b> = 内容分页值！');" onmouseout="tooltip.hide();"><img src="<?php echo $skin_path;?>/images/remind.gif" alt="" width="14" height="20"  style="margin-left:10px; margin-right:5px;"></span>
</td>
    </tr>
    <tr>
        <td width="19%" align="right">生成HTML</td>
        <td width="1%">&nbsp;</td>
        <td width="70%"><?php echo form::getform('ishtml',$form,$field,$data);?>
<span class="hotspot" onmouseover="tooltip.show('选择内容是否生成静态，如设置了浏览与下载权限，内容必须为动态显示！<br />默认为继承栏目动静态设置！');" onmouseout="tooltip.hide();">
<img src="<?php echo $skin_path;?>/images/remind.gif" alt="" width="14" height="20"  style="margin-left:10px; margin-right:5px;">
</span>
</td>
    </tr>
</table>
            </div>
            <div id="con_one_3" style="display:none">
<table width="100%" border="0" cellspacing="0" cellpadding="0" id="table3">
    <tr>
        <td width="19%" align="right">内容页模板</td>
        <td width="1%">&nbsp;</td>
        <td width="70%">
            <?php echo form::getform('template',$form,$field,$data);?>
<span class="hotspot" onmouseover="tooltip.show('选择内容模板样式，可区别栏目设置的其他内容样式，以便拥有独立的外观！<br />默认为继承栏目模板设置！');" onmouseout="tooltip.hide();">
<img src="<?php echo $skin_path;?>/images/remind.gif" alt="" width="14" height="20"  style="margin-left:10px; margin-right:5px;">
</span>
        </td>
    </tr>
    <tr>
        <td width="19%" align="right">内容页多图</td>
        <td width="1%">&nbsp;</td>
        <td width="70%">
            <div id=uploadarea>
            <div id="pvpics"></div>
    <div class="blank10"></div>
<input id="pics_upload" value="多图上传" type="button" name="pics_upload" class="btn_e" /><span class="hotspot" onmouseover="tooltip.show('当内容页模板选择：<br /> [ 图片内容页 - archive/show_pic.html ] <br />用于图片幻灯显示效果展示！');" onmouseout="tooltip.hide();">
<img src="<?php echo $skin_path;?>/images/remind.gif" alt="" width="14" height="20"  style="margin-left:10px; margin-right:5px;">
</span>
            </div>
        </td>
    </tr>
    <tr>
        <td width="19%" align="right">内容推荐位</td>
        <td width="1%">&nbsp;</td>
        <td width="70%" id="content-recommend"><?php echo form::getform('attr1',$form,$field,$data);?>
<span class="hotspot" onmouseover="tooltip.show('勾选不同内容推荐位后，结合内容标签中的推荐位，可区分调用不同内容！');" onmouseout="tooltip.hide();">
<img src="<?php echo $skin_path;?>/images/remind.gif" alt="" width="14" height="20"  style="margin-left:10px; margin-right:5px;">
</span>
</td>
    </tr>
    <tr>
        <td width="19%" align="right">连接跳转到</td>
        <td width="1%">&nbsp;</td>
        <td width="70%"><?php echo form::getform('linkto',$form,$field,$data);?>
<span class="hotspot" onmouseover="tooltip.show('填写后，点击标题后，将连接到链接地址！');" onmouseout="tooltip.hide();">
<img src="<?php echo $skin_path;?>/images/remind.gif" alt="" width="14" height="20"  style="margin-left:10px; margin-right:5px;">
</span>
</td>
    </tr>
    <tr>
        <td width="19%" align="right">内容的评级</td>
        <td width="1%">&nbsp;</td>
        <td width="70%">
            <table width="90%">
<tr>
<td width="20%"><?php echo form::getform('grade',$form,$field,$data);?>
<span class="hotspot" onmouseover="tooltip.show('对内容进行评级，将以五角星显示级别！');" onmouseout="tooltip.hide();">
<img src="<?php echo $skin_path;?>/images/remind.gif" alt="" width="14" height="20"  style="margin-left:10px; margin-right:5px;">
</span>
</td>

</tr>
            </table>
        </td>
    </tr>
</table>
            </div>
            <div id="con_one_4" style="display:none">
<table width="100%" border="0" cellspacing="0" cellpadding="0" id="table4">
    <tr>
        <td width="19%" align="right">缩略图</td>
        <td width="1%">&nbsp;</td>
        <td width="70%"><?php echo form::getform('thumb',$form,$field,$data);?>
<span class="hotspot" onmouseover="tooltip.show('缩略图用于图片列表页显示！');" onmouseout="tooltip.hide();">
<img src="<?php echo $skin_path;?>/images/remind.gif" alt="" width="14" height="20"  style="margin-left:10px; margin-right:5px;">
</span>
</td>
    </tr>
    <tr>
        <td width="19%" align="right">附件</td>
        <td width="1%">&nbsp;</td>
        <td width="70%">
            <span id="file_info" style="color:red"></span><br>
            附件路径：<input type="text" name="attachment_path" class="input"  id="attachment_path" value="<?php echo $data['attachment_path'];?>" /><span class="hotspot" onmouseover="tooltip.show('填写此项无须再上传附件，请填写完整的url地址，例如：http://www.cmseasy.cn/upload/attachment.rar！');" onmouseout="tooltip.hide();">
<img src="<?php echo $skin_path;?>/images/remind.gif" alt="" width="14" height="20"  style="margin-left:10px; margin-right:5px;">
</span>
<div class="blank10"></div>

            <input type="hidden" name="attachment_id"  id="attachment_id" value="<?php echo archive_attachment(@$data['aid'],'id');?>"  class="input" />
            附件名称：<input type="text" name="attachment_intro"  id="attachment_intro" value="<?php echo archive_attachment(@$data['aid'],'intro');?>" class="input" />

<span class="hotspot" onmouseover="tooltip.show('填附件的下载提示名称！');" onmouseout="tooltip.hide();">
<img src="<?php echo $skin_path;?>/images/remind.gif" alt="" width="14" height="20"  style="margin-left:10px; margin-right:5px;">
</span>
<div class="blank10"></div>

            <span style="float:left;">保存地址：<span id="attachment_path"><?php echo archive_attachment(@$data['aid'],'path');?></span></span><input style="float:left;" type="button" name="delbutton"  class="a_del" onclick="attachment_delect(get('attachment_id').value)" />
<div class="blank10"></div>
<?php if (front::$act == 'edit' && $data['attachment_id']) { ?>
更改：<?php } ?>

            上传：<input type="file" name="fileupload" id="fileupload" style="width:400px" />
            <div class="blank10"></div>

<input type="button"  name="filebuttonUpload"  id="filebuttonUpload" onclick="return ajaxFileUpload('fileupload','<?php echo url("tool/uploadfile",false);?>','#uploading');" value="上传" class="btn_d" />
               <img id="uploading" src="<?php echo $base_url;?>/common/js/loading.gif" style="display:none;">
        </td>
    </tr>
    <tr>
        <td width="19%" align="right">投票</td>
        <td width="1%">&nbsp;</td>
        <td width="70%">

<table width="100%" border="0" cellspacing="0" cellpadding="0" id="table">
    <?php for ($i=1; $i <= 8; $i++) { ?><tr>
<td width="5%" align="center"><?php echo $i;?></td>
        <td width="12%" align="right">
投票标题
<div class="blank5"></div>
图片url
</td>
        <td width="1%">&nbsp;</td>
        <td width="70%">
<?php echo form::input("vote[$i]",vote::title(@$data['aid'],$i),'class="input" ');?>
<span class="hotspot" onmouseover="tooltip.show('填写内容中投票内容名称！');" onmouseout="tooltip.hide();">
<img src="<?php echo $skin_path;?>/images/remind.gif" alt="" width="14" height="20"  style="margin-left:10px; margin-right:5px;">
</span>
<div class="blank5"></div>
<?php echo form::input("vote_image[$i]",vote::img(@$data['aid'],$i),'class="input" ');?>
<span class="hotspot" onmouseover="tooltip.show('填写内容中投票内容图片地址！');" onmouseout="tooltip.hide();">
<img src="<?php echo $skin_path;?>/images/remind.gif" alt="" width="14" height="20"  style="margin-left:10px; margin-right:5px;">
</span>
</td>
    </tr>
<tr><td colspan="4" height="10">&nbsp;</td></tr>
<?php } ?>
</table>
        </td>
    </tr>
    <tr>
        <td width="19%" align="right">地区</td>
        <td width="1%">&nbsp;</td>
        <td width="70%">
            <?php echo form::select('province_id',
    get('province_id') ? get('province_id') : 0, area::province_option()); ?>
<?php echo form::select('city_id', get('city_id') ? get('scity_id') : 0,
        area::city_option()); ?>
<?php echo form::select('section_id', get('section_id') ? get('section_id') : 0, area::section_option()); ?>
<span class="hotspot" onmouseover="tooltip.show('对内容进行地区划分，可区别不同内容！');" onmouseout="tooltip.hide();">
<img src="<?php echo $skin_path;?>/images/remind.gif" alt="" width="14" height="20"  style="margin-left:10px; margin-right:5px;">
</span>
        </td>
    </tr>
    <tr>
        <td width="19%" align="right">专题</td>
        <td width="1%">&nbsp;</td>
        <td width="70%">
<?php echo form::select('spid',
        $data['spid'], special::option()); ?>
<span class="hotspot" onmouseover="tooltip.show('将内容划分到不同专题内，可对不同内容进行区分！');" onmouseout="tooltip.hide();">
<img src="<?php echo $skin_path;?>/images/remind.gif" alt="" width="14" height="20"  style="margin-left:10px; margin-right:5px;">
</span>
        </td>
    </tr>
    <tr>
        <td width="19%" align="right">产品价格</td>
        <td width="1%">&nbsp;</td>
        <td width="70%"><?php echo form::getform('attr2',$form,$field,$data);?>
<span class="hotspot" onmouseover="tooltip.show('请填写大于0的数字型字符！');" onmouseout="tooltip.hide();">
<img src="<?php echo $skin_path;?>/images/remind.gif" alt="" width="14" height="20"  style="margin-left:10px; margin-right:5px;">
</span>
</td>
    </tr>
</table>
            </div>
            <div id="con_one_5" style="display:none">


<table border="0" cellspacing="0" cellpadding="0" id="table5" width="100%">
<thead>
<tr class="th">
<th align="center" width="38%">会员组</th>
<th align="center"  width="30%">浏览</th>
<th align="center"  width="30%">下载</th>
</tr>
<?php foreach(usergroup::getInstance()->group as $group) { ?>
<?php if ($group['groupid'] == '888') continue; ?>
<tr>
<td align="center"><?php echo $group['name'];?></td>
<td align="center"><?php echo form::checkbox("_ranks[".$group['groupid']."][view]",-1, @$data['_ranks'][$group['groupid']]['view']);?></td>
<td align="center"><?php echo form::checkbox("_ranks[".$group['groupid']."][down]",-1, @$data['_ranks'][$group['groupid']]['down']);?></td>
</tr>
<?php } ?>
</table>
<div class="blank30"></div>
<img src="<?php echo $skin_path;?>/images/remind.gif" alt="" width="14" height="20"  style="margin-left:10px; margin-right:5px;"> &nbsp;注意：勾选为该用户组禁止浏览或下载


            </div>
            <div id="con_one_6" style="display:none">
<table width="100%" border="0" cellspacing="0" cellpadding="0" id="table6">
    <tr>
        <td width="19%" align="right">自定义字段</td>
        <td width="1%">&nbsp;</td>
        <td width="70%">
            <table>
<?php foreach($field as $f) { ?>
<?php
$name=$f['name'];
if (!preg_match('/^my_/', $name)) {
    unset($field[$name]);
    continue;
}
if(setting::$var['archive'][$name]['catid'] != $_GET['catid']){
unset($field[$name]);
    continue;
}
if (!isset($data[$name]))
    $data[$name]='';
?>
<tr>
    <td class="left" width="20%"><?php echo setting::$var['archive'][$name]['cname']; ?></td>
    <td width="70%">
<?php echo form::getform($name,
        $form, $field, $data); ?>
    </td>
</tr>
<?php } ?>
            </table>
        </td>
    </tr>
</table>
</div>
</div>




<?php if(front::get('catid')) { ?><script type="text/javascript">get_field(<?php echo front::get('catid');?>);</script><?php } ?></div>
<input type="submit" name="submit" value=" 提交 " class="btn_a" />

</form>






<script>

var isIE = (document.all) ? true : false;

var isIE6 = isIE && ([/MSIE (\d)\.0/i.exec(navigator.userAgent)][0][1] == 6);

var BoxObj = function (id) {
return "string" == typeof id ? document.getElementById(id) : id;
};

var Class = {
create: function() {
return function() { this.initialize.apply(this, arguments); }
}
}

var Extend = function(destination, source) {
for (var property in source) {
destination[property] = source[property];
}
}

var Bind = function(object, fun) {
return function() {
return fun.apply(object, arguments);
}
}

var Each = function(list, fun){
for (var i = 0, len = list.length; i < len; i++) { fun(list[i], i); }
};

var Contains = function(a, b){
return a.contains ? a != b && a.contains(b) : !!(a.compareDocumentPosition(b) & 16);
}


var OverLay = Class.create();
OverLay.prototype = {
  initialize: function(options) {

this.SetOptions(options);

this.Lay = BoxObj(this.options.Lay) || document.body.insertBefore(document.createElement("div"), document.body.childNodes[0]);

this.Color = this.options.Color;
this.Opacity = parseInt(this.options.Opacity);
this.zIndex = parseInt(this.options.zIndex);

with(this.Lay.style){ display = "none"; zIndex = this.zIndex; left = top = 0; position = "fixed"; width = height = "100%"; }

if(isIE6){
this.Lay.style.position = "absolute";
this._resize = Bind(this, function(){
this.Lay.style.width = Math.max(document.documentElement.scrollWidth, document.documentElement.clientWidth) + "px";
this.Lay.style.height = Math.max(document.documentElement.scrollHeight, document.documentElement.clientHeight) + "px";
});
this.Lay.innerHTML = '<iframe style="position:absolute;top:0;left:0;width:100%;height:100%;filter:alpha(opacity=0);"></iframe>'
}
  },
  SetOptions: function(options) {
    this.options = {
Lay:		null,
Color:		"#000",
Opacity:	50,
zIndex:		1000
    };
    Extend(this.options, options || {});
  },
  Show: function() {
if(isIE6){ this._resize(); window.attachEvent("onresize", this._resize); }

with(this.Lay.style){
isIE ? filter = "alpha(opacity:" + this.Opacity + ")" : opacity = this.Opacity / 100;
backgroundColor = this.Color; display = "block";
}
  },
  Close: function() {
this.Lay.style.display = "none";
if(isIE6){ window.detachEvent("onresize", this._resize); }
  }
};



var LightBox = Class.create();
LightBox.prototype = {
  initialize: function(box, options) {

this.Box = BoxObj(box);

this.OverLay = new OverLay(options);

this.SetOptions(options);

this.Fixed = !!this.options.Fixed;
this.Over = !!this.options.Over;
this.Center = !!this.options.Center;
this.onShow = this.options.onShow;

this.Box.style.zIndex = this.OverLay.zIndex + 1;
this.Box.style.display = "none";


if(isIE6){
this._top = this._left = 0; this._select = [];
this._fixed = Bind(this, function(){ this.Center ? this.SetCenter() : this.SetFixed(); });
}
  },
  SetOptions: function(options) {
    this.options = {
Over:	true,
Fixed:	true,
Center:	true,
onShow:	function(){}
};
    Extend(this.options, options || {});
  },
  SetFixed: function(){
this.Box.style.top = document.documentElement.scrollTop - this._top + this.Box.offsetTop + "px";
this.Box.style.left = document.documentElement.scrollLeft - this._left + this.Box.offsetLeft + "px";

this._top = document.documentElement.scrollTop; this._left = document.documentElement.scrollLeft;
  },
  SetCenter: function(){
this.Box.style.marginTop = document.documentElement.scrollTop - this.Box.offsetHeight / 2 + "px";
this.Box.style.marginLeft = document.documentElement.scrollLeft - this.Box.offsetWidth / 2 + "px";
  },
  Show: function(options) {
  if('thumb' == options){ $("#d_idBoxSure").attr('alt','thumb');}
  if('pics' == options){ $("#d_idBoxSure").attr('alt','pics');}
  if('undefined' == typeof(options)){ $("#d_idBoxSure").attr('alt','content');}
this.Box.style.position = this.Fixed && !isIE6 ? "fixed" : "absolute";

this.Over && this.OverLay.Show();

this.Box.style.display = "block";

if(this.Center){
this.Box.style.top = this.Box.style.left = "50%";
if(this.Fixed){
this.Box.style.marginTop = - this.Box.offsetHeight / 2 + "px";
this.Box.style.marginLeft = - this.Box.offsetWidth / 2 + "px";
}else{
this.SetCenter();
}
}

if(isIE6){
if(!this.Over){
this._select.length = 0;
Each(document.getElementsByTagName("select"), Bind(this, function(o){
if(!Contains(this.Box, o)){ o.style.visibility = "hidden"; this._select.push(o); }
}))
}
this.Center ? this.SetCenter() : this.Fixed && this.SetFixed();
this.Fixed && window.attachEvent("onscroll", this._fixed);
}

this.onShow();
  },
  Close: function() {
this.Box.style.display = "none";
this.OverLay.Close();
if(isIE6){
window.detachEvent("onscroll", this._fixed);
Each(this._select, function(o){ o.style.visibility = "visible"; });
}
  }
};

</script>
<div id="idBox" class="lightbox">
<input name="" type="button" value="" id="idBoxCancel" />

<div class="box_nav">
   <a href="javascript:void(0)" class="box_nav_on">本地上传</a>
   <a href="javascript:void(0)" class="box_nav_out">图库选择</a>
   <a href="javascript:void(0)" class="box_nav_out">网络图片</a>
</div>
<div class="box_con">
   <div id="box_con_0" class="box_main">
<div style="width:141px;margin:0px auto;padding-top:135px;">
<span id="spanButtonPlaceHolder"></span>
<input id="btnCancel" type="button" value="取消" disabled="disabled" style="display:none;" />
</div>
    </div>
   <div id="box_con_1" class="box_main">
       <div style="margin-left:10px;">
      <span style="font-size:12px;color:#3e4558;">选择图库：</span>
      <select name="img_dir" id="image_select">
      <option value="default">请选择图库</option>
                     <?php foreach($image_dir as $k => $v) { ?>
  <option value="<?php echo $v;?>"><?php echo $v;?></option>
  <?php } ?>
      </select>
</div>
   <div id="image_show" class="image_show" style="clear:both; width:638px;height:230px;margin:10px;overflow:auto; overflow-x:hidden;">
</div>
<div style="margin-left:10px;">
       <input type="button" alt="content" class="btn_e" value="确定" id="d_idBoxSure"/>
   <input type="button" class="btn_d" value="取消" id="d_idBoxCancel"/>
   </div>
   </div>
   <div id="box_con_2"  class="box_main">
              <div style="margin:0px auto;width:300px;padding-top:65px;">
   请输入图片地址:
   <input type="text" name="network_image_url" id="network_image_url" value="" style="clear:both; width:285px;font-size:14px;margin:10px 0px;line-height:22px;height:22px;"/>
   <input type="button" name="net_idBoxSure" alt="content" class="btn_e" id="net_idBoxSure" value="添加"/>
   </div>
   </div>
</div>

</div>
<script>

var box = new LightBox("idBox");

BoxObj("idBoxCancel").onclick = function(){ box.Close(); }
BoxObj("d_idBoxCancel").onclick = function(){ box.Close(); }
BoxObj("thumb_upload").onclick = function(){box.Show('thumb');}
BoxObj("pics_upload").onclick = function(){box.Show('pics');}
var i=0;
$('#idBoxCancel').mouseover(function(){
    $(this).css('opacity','0.5');
}).mouseout(function(){
    $(this).css('opacity','1');
});
$(".box_nav > a").click(function(){
    $(".box_nav > a").each(function(){
    $(this).removeClass('box_nav_on');

});
$(this).addClass('box_nav_on');

$(".box_con > div").each(function(){
    $(this).css('display','none');
});
switch($(this).text()){
     case '本地上传':
    $("#box_con_0").css('display','block');break;
 case '图库选择':
    $("#box_con_1").css('display','block');break;
     case '网络图片':
    $("#box_con_2").css('display','block');break;
}
});

$("#image_select").change(function(){
    if($(this).val() == 'default') return;
    $("#image_show").load('<?php echo $_SERVER['REQUEST_URI'];?>&ajax='+$(this).val());

});

function select_img(name){
   var obj = $("#"+name);
   var border = obj.css('border');
   if(border == 0){
      obj.css('border','2px solid red');
   }else{
      obj.css('border','');
   }
}
$(".box_button").mouseover(function(){
    $(this).css('background-color','#d9e7f5');
}).mouseout(function(){
    $(this).css('background-color','#F3F4F5');
});
$("#d_idBoxSure").click(function(){
   $(".image_show > img").each(function(){
       var border  = $(this).css('border');
   if(border != 0){
   if($("#d_idBoxSure").attr('alt') == 'thumb'){
    $("#thumb").val($(this).attr("src"));
image_preview('thumb',$(this).attr("src"));
   }
   if($("#d_idBoxSure").attr('alt')=='pics'){
   $("#pvpics").html($("#pvpics").html()+'<span id="pics'+i+'_preview"></span><div class="blank10"></div><input id="pics'+i+'" value="'+$(this).attr("src")+'" class="input" name="pics'+i+'" style="float:left;" /> <input style="float:left;" id="pics'+i+'_del" onclick="pics_delete(\''+i+'\',\'pics\');" value="" type="button" name="delbutton" class="a_del" />');
   image_preview('pics'+i,$(this).attr("src"));
   i++;
   }
   if($("#d_idBoxSure").attr('alt') == 'content'){
       		var url = 'http://<?php echo $_SERVER['HTTP_HOST'].config::get('base_url');?>/'+$(this).attr("src");
       		getEditor('content').InsertHtml('<p><img src="'+url+'"/></p>');
   }
   $(this).css('border','');
   }
   });
    box.Close();
});
$("#net_idBoxSure").click(function(){
   var val = $("#network_image_url").val();
   if(val.length < 4){
       alert('这不是一个有效的链接');
   return false;
   }
   if($("#d_idBoxSure").attr('alt') == 'thumb'){
    $("#thumb").val(val);
image_preview('thumb',val);
   }
   if($("#d_idBoxSure").attr('alt')=='pics'){
   $("#pvpics").html($("#pvpics").html()+'<span id="pics'+i+'_preview"></span><div class="blank10"></div><input id="pics'+i+'" value="'+val+'" class="input" name="pics'+i+'" style="float:left;" /> <input style="float:left;" id="pics'+i+'_del" onclick="pics_delete(\''+i+'\',\'pics\');" value="" type="button" name="delbutton" class="a_del" />');
   image_preview('pics'+i,val);
   i++;
   }
   if($("#d_idBoxSure").attr('alt') == 'content'){
       		getEditor('content').InsertHtml('<p><img src="'+val+'"/></p>');
   }
   box.Close();
});
$("#tag_option").change(function(){
if($(this).val() == '0') return;
if($("#tag").val() == '')
    $("#tag").val($(this).val());
else
    $("#tag").val($("#tag").val()+' '+$(this).val());
});
</script>